# setFlowPermissions

#### Function Header

<pre class="language-solidity"><code class="lang-solidity"><strong>/**
</strong> * @dev Update permissions for flow operator
 * @param token The token used in flow
 * @param flowOperator The address given flow permissions
 * @param allowCreate creation permissions
 * @param allowCreate update permissions
 * @param allowCreate deletion permissions
 * @param flowRateAllowance The allowance provided to flowOperator
 */
function setFlowPermissions(
    ISuperToken token,
    address flowOperator,
    bool allowCreate,
    bool allowUpdate,
    bool allowDelete,
    int96 flowRateAllowance
) internal returns (bool)
</code></pre>

{% hint style="info" %}
The `flowRateAllowance` works just like [allowance](https://docs.openzeppelin.com/contracts/2.x/api/token/erc20#IERC20-allowance-address-address-) for regular ERC20 tokens. See it explained [**here**](/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl.md#flowrateallowance-parameter).
{% endhint %}

#### Example Usage

```solidity
// Giving Alice permission to only create flows (no update or delete permissions
// of someSuperToken from the contract up to an allowance of 100,000 wei/sec.

someSuperToken.setFlowPermissions(
    alice,
    true,
    false,
    false,
    100000
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://superfluid.gitbook.io/superfluid/developers/constant-flow-agreement-cfa/cfa-access-control-list-acl/solidity/setflowpermissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
